#include<bits/stdc++.h>
#define all(a) a.begin(), a.end()
#define pb push_back
using namespace std;
using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using Mat = vector<vi>;
const char ent = '\n';

bool smaller(int x) {
	return false;
};

int find_number(int MAX) {
	int left = 1, right = MAX;
	while (left <= right) {
		int mid = (left + right) / 2;
		if (smaller(mid)) right = mid - 1;
		else left = mid + 1;
	}
	return right;
}

int main() {
	return 0;
}